Ignore:
Timestamp:
Mar 7, 2016, 3:15:38 PM (5 years ago)
Author:
mmoll@…
Message:

py-graph-tool: work around issue with py27 configuration. closes #50831

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/python/py-graph-tool/Portfile

    r146296 r146433  
    7272                         PYTHON_LDFLAGS="-L${python.libdir}/.. -lpython${python.branch}" \
    7373                         PYTHON_EXTRA_LDFLAGS="-L${python.libdir}/.. -lpython${python.branch}"
     74    # With python2.7 PYTHON_EXTRA_LIBS is determined to be
     75    # '-u _PyMac_Error Python.framework/Versions/2.7/Python'. Not clear whether
     76    # python2.7 or py-graph-tool's configure script is to blame, but we can easily
     77    # work around this:
     78    if {${python.version} eq "27"} {
     79        configure.env-append PYTHON_EXTRA_LIBS="-u _PyMac_Error"
     80    }
    7481    configure.cppflags-append -I${prefix}/include -I${python.include}/..
    7582    configure.ldflags-append -L${prefix}/lib
Note: See TracChangeset for help on using the changeset viewer.